<?
 /*SCRIPT PARA ALMACENAR LAS NOTAS DE UNA UNIDAD DE CADA ALUMNO*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  
  if(!$tipo_trn){
    alert("Parámetros incorrectos","frm_login.php");
  }

  switch ($tipo_trn){
  case "Add":
  $cont_i=0;
  for($i=1;$i<=$max;$i++){

   if($txtnota[$i]>0){
    if($txtnota[$i]>100){
      continue;
    }
    $tmp1="id_$i";
    $carnet=$$tmp1;

    $nota=$txtnota[$i];
    $id_un=dec($idu);
    $id_gr=dec($idg);
    $id_cu=dec($idc);
    //echo "xx";
//    echo "$idn, $id_un, $id_gr, $id_gr, $id_cu, $nota";
    $qver=mysql_query("select *
                       from notas_unidades
                       where alumno ='$carnet'
                       and unidad='$id_un'
                       and grado = '$id_gr'
                       and curso = '$id_cu'");

     if(mysql_num_rows($qver)==0){
      $sqli="insert into
                        notas_unidades
                        set
                        alumno='$carnet',
                        unidad='$id_un',
                        grado='$id_gr',
                        curso='$id_cu',
                        nota='$nota',
                        zona='{$txtzona[$i]}',
                        examen='{$txtexamen[$i]}'";

      $ins=mysql_query($sqli);
      $cont_i++;
     }else{
                 $sqlu="update
                        notas_unidades
                        set
                        nota='$nota',
                        zona='{$txtzona[$i]}',
                        examen='{$txtexamen[$i]}'
                        where
                        alumno='$carnet'
                        and unidad='$id_un'
                        and grado='$id_gr'
                        and curso='$id_cu'";
      //                  echo $sqlu;
      $ins=mysql_query($sqlu);
     } // fin de verificación

     //echo "Carnet: $carnet - Nota: $nota - grado: $id_gr - unidad: $id_un - curso: $id_cu<br>";
    }// fin el usuario agregó una nota
  }// fin del ciclo for
  //alert("Se almacenaron $cont_i notas","frm_notasv2.php?idg=$idg&idc=$idc&idu=$idu&sid=$sid&idn=$idn");

  if($NewAction=="Cierre"){
                 $sqlu="update
                        notas_unidades
                        set
                        cerrado='S'
                        where
                        unidad='$id_un'
                        and grado='$id_gr'
                        and curso='$id_cu'";
                        
                  $res=mysql_query($sqlu);
  }

  header("Location: frm_notascursospromocion.php?idg=$idg&idc=$idc&idu=$idu&sid=$sid&idn=$idn");
  break; // fin Add

  case "Cierre":
    $id_un=dec($idu);
    $id_gr=dec($idg);
    $id_cu=dec($idc);
                 $sqlu="update
                        notas_unidades
                        set
                        cerrado='S'
                        where
                        unidad='$id_un'
                        and grado='$id_gr'
                        and curso='$id_cu'";
                  $res=mysql_query($sqlu);
                  //echo $sqlu;
  header("Location: frm_notasv2.php?idg=$idg&idc=$idc&idu=$idu&sid=$sid&idn=$idn");
  break;
  default: header("Location: ./frm_inicio.php");
  }
?>
